Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.chap4.core.v1
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.chap4.core.v1.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.chap4.core.v1 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.chap4.core.v1

Method Summary
`CareProviderType` | `createCareProviderType()` Create an instance of `CareProviderType`
`CareReceiverIdType` | `createCareReceiverIdType()` Create an instance of `CareReceiverIdType`
`CommonInputType` | `createCommonInputType()` Create an instance of `CommonInputType`
`CommonOutputType` | `createCommonOutputType()` Create an instance of `CommonOutputType`
`DetailType` | `createDetailType()` Create an instance of `DetailType`
`FaultType` | `createFaultType()` Create an instance of `FaultType`
`IdType` | `createIdType()` Create an instance of `IdType`
`LicenseType` | `createLicenseType()` Create an instance of `LicenseType`
`NihiiType` | `createNihiiType()` Create an instance of `NihiiType`
`OriginType` | `createOriginType()` Create an instance of `OriginType`
`PackageType` | `createPackageType()` Create an instance of `PackageType`
`RecordCommonInputType` | `createRecordCommonInputType()` Create an instance of `RecordCommonInputType`
`RecordCommonOutputType` | `createRecordCommonOutputType()` Create an instance of `RecordCommonOutputType`
`RequestType` | `createRequestType()` Create an instance of `RequestType`
`SecuredContentType` | `createSecuredContentType()` Create an instance of `SecuredContentType`
`ValueRefString` | `createValueRefString()` Create an instance of `ValueRefString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.chap4.core.v1

Method Detail

### createValueRefString

    public ValueRefString createValueRefString()

  Create an instance of `ValueRefString`

### createCommonOutputType

    public CommonOutputType createCommonOutputType()

  Create an instance of `CommonOutputType`

### createRecordCommonOutputType

    public RecordCommonOutputType createRecordCommonOutputType()

  Create an instance of `RecordCommonOutputType`

### createCommonInputType

    public CommonInputType createCommonInputType()

  Create an instance of `CommonInputType`

### createRecordCommonInputType

    public RecordCommonInputType createRecordCommonInputType()

  Create an instance of `RecordCommonInputType`

### createRequestType

    public RequestType createRequestType()

  Create an instance of `RequestType`

### createOriginType

    public OriginType createOriginType()

  Create an instance of `OriginType`

### createPackageType

    public PackageType createPackageType()

  Create an instance of `PackageType`

### createLicenseType

    public LicenseType createLicenseType()

  Create an instance of `LicenseType`

### createCareProviderType

    public CareProviderType createCareProviderType()

  Create an instance of `CareProviderType`

### createIdType

    public IdType createIdType()

  Create an instance of `IdType`

### createNihiiType

    public NihiiType createNihiiType()

  Create an instance of `NihiiType`

### createCareReceiverIdType

    public CareReceiverIdType createCareReceiverIdType()

  Create an instance of `CareReceiverIdType`

### createSecuredContentType

    public SecuredContentType createSecuredContentType()

  Create an instance of `SecuredContentType`

### createFaultType

    public FaultType createFaultType()

  Create an instance of `FaultType`

### createDetailType

    public DetailType createDetailType()

  Create an instance of `DetailType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.24.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.